# Uses of Package
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Packages that use org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

Classes in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math used by org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
Class
Description
Curve
A twisted Edwards curve.
Encoding
Common interface for all $(b-1)$-bit encodings of elements of EdDSA finite fields.
Field
An EdDSA finite field.
FieldElement
Note: concrete subclasses must implement hashCode() and equals()
GroupElement
A point $(x,y)$ on an EdDSA curve.
GroupElement.Representation
Available representations for a group element.
Classes in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math used by org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519
Class
Description
Encoding
Common interface for all $(b-1)$-bit encodings of elements of EdDSA finite fields.
Field
An EdDSA finite field.
FieldElement
Note: concrete subclasses must implement hashCode() and equals()
Classes in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math used by org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec
Class
Description
Curve
A twisted Edwards curve.
GroupElement
A point $(x,y)$ on an EdDSA curve.